Bug 1472377 - Review Request: perl-Locale-TextDomain-OO - Perl Object-oriented Interface to Uniforum Message Translation
Review Request: perl-Locale-TextDomain-OO - Perl Object-oriented Interface to...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1465429 1472679
  Show dependency treegraph
 
Reported: 2017-07-18 11:13 EDT by Jitka Plesnikova
Modified: 2017-07-20 04:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Locale-TextDomain-OO-1.029-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-20 04:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2017-07-18 11:13:50 EDT
Spec URL: https://jplesnik.fedorapeople.org/perl-Locale-TextDomain-OO/perl-Locale-TextDomain-OO.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Locale-TextDomain-OO/perl-Locale-TextDomain-OO-1.028-1.fc27.src.rpm

Description:
This module provides a high-level interface to Perl message translation.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Petr Pisar 2017-07-19 07:22:27 EDT
URL and Source0 addresses are Ok.
Source0 archive (SHA-256: fbf5bdea5575e19ac02cb5fa67efb060d4097840684622502ee615be4bbb5fec) is original. Ok.

TODO: Replace the `OO' with 'object-oriented' word in the summary.
TODO: The package contains many modules, but the description reads `This module'. Change it to plural.

License verified from README, lib/Locale/TextDomain/OO.pm and other files. Ok.
No XS code, noarch BuildArch is Ok.
MooX::Types::MooseLike, Safe, charnames are not used. Ok.

TODO: Build-require `perl(:VERSION) >= 5.8' (Makefile.PL:2).

FIX: Do not build-require `perl(Locale::TextDomain::OO::Util)', it's not used anywhere. You can move the version constrain to `perl(Locale::TextDomain::OO::Util::JoinSplitLexiconKeys)' dependency.

Test::Perl::Critic and Test::Prereq::Build and Test::Kwalitee are not used. Ok.
All tests pass. Ok.

$ rpmlint perl-Locale-TextDomain-OO.spec ../SRPMS/perl-Locale-TextDomain-OO-1.028-1.fc27.src.rpm ../RPMS/noarch/perl-Locale-TextDomain-OO-1.028-1.fc27.noarch.rpm 
perl-Locale-TextDomain-OO.noarch: W: file-not-utf8 /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MESSAGES/example.po
perl-Locale-TextDomain-OO.noarch: W: file-not-utf8 /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MESSAGES/example_cp1252.po
perl-Locale-TextDomain-OO.noarch: W: file-not-utf8 /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MESSAGES/example_maketext.po
perl-Locale-TextDomain-OO.noarch: W: file-not-utf8 /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MESSAGES/example_maketext_style_gettext.po
perl-Locale-TextDomain-OO.noarch: W: file-not-in-%lang /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MESSAGES/example.mo
perl-Locale-TextDomain-OO.noarch: W: file-not-in-%lang /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MESSAGES/example_cp1252.mo
perl-Locale-TextDomain-OO.noarch: W: file-not-in-%lang /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MESSAGES/example_maketext.mo
perl-Locale-TextDomain-OO.noarch: W: file-not-in-%lang /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MESSAGES/example_maketext_style_gettext.mo
perl-Locale-TextDomain-OO.noarch: W: file-not-in-%lang /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/de/LC_MULTIPLURAL2/example_multiplural.mo
perl-Locale-TextDomain-OO.noarch: W: file-not-in-%lang /usr/share/doc/perl-Locale-TextDomain-OO/example/LocaleData/ru/LC_MESSAGES/example.mo
2 packages and 1 specfiles checked; 0 errors, 10 warnings.
rpmlint is Ok.

File layout and permissions are Ok.

TODO: The javascript/Locale directory could be packages as JavaScript-language sub-package. See lib/Locale/TextDomain/OO/JavaScript.pm documentation.

$ rpm -q --requires -p ../RPMS/noarch/perl-Locale-TextDomain-OO-1.028-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.26.0)
      1 perl(Carp)
      1 perl(Class::Load) >= 0.19
      1 perl(Clone)
      1 perl(Encode)
      1 perl(English)
      1 perl(Hash::Util)
      1 perl(JSON::PP)
      1 perl(Locale::MO::File) >= 0.06
      1 perl(Locale::PO) >= 0.24
      1 perl(Locale::TextDomain::OO::Singleton::Lexicon)
      1 perl(Locale::TextDomain::OO::Translator)
      1 perl(Locale::TextDomain::OO::Util) >= 2.002
      1 perl(Locale::TextDomain::OO::Util::ExtractHeader) >= 3.006
      1 perl(Locale::TextDomain::OO::Util::JoinSplitLexiconKeys)
      1 perl(Locale::Utils::PlaceholderBabelFish) >= 0.001
      1 perl(Locale::Utils::PlaceholderMaketext) >= 1.000
      1 perl(Locale::Utils::PlaceholderNamed) >= 1.000
      1 perl(Moo) >= 1.003001
      1 perl(Moo::Role)
      1 perl(MooX::Singleton)
      1 perl(MooX::StrictConstructor)
      1 perl(MooX::Types::MooseLike::Base)
      1 perl(namespace::autoclean)
      1 perl(Path::Tiny) >= 0.052
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(Tie::Sub) >= 0.09
      1 perl(Try::Tiny)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Do not run-require `perl(Locale::TextDomain::OO::Util)', it's not used anywhere. You can move the version constrain to `perl(Locale::TextDomain::OO::Util::JoinSplitLexiconKeys)' dependency.

$ rpm -q --provides -p ../RPMS/noarch/perl-Locale-TextDomain-OO-1.028-1.fc27.noarch.rpm | sort -f | uniq -c
      1 perl(Locale::TextDomain::OO) = 1.028
      1 perl(Locale::TextDomain::OO::FunctionalInterface) = 1.000
      1 perl(Locale::TextDomain::OO::JavaScript) = 1.017
      1 perl(Locale::TextDomain::OO::Lexicon::File::MO) = 1.027
      1 perl(Locale::TextDomain::OO::Lexicon::File::PO) = 1.027
      1 perl(Locale::TextDomain::OO::Lexicon::Hash) = 1.027
      1 perl(Locale::TextDomain::OO::Lexicon::Role::File) = 1.023
      1 perl(Locale::TextDomain::OO::Lexicon::Role::GettextToMaketext) = 1.000
      1 perl(Locale::TextDomain::OO::Lexicon::Role::StoreFile) = 1.017
      1 perl(Locale::TextDomain::OO::Lexicon::Role::StoreFilter) = 1.017
      1 perl(Locale::TextDomain::OO::Lexicon::StoreJSON) = 1.026
      1 perl(Locale::TextDomain::OO::Plugin::Expand::BabelFish::Loc) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Gettext) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Gettext::DomainAndCategory) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Gettext::Loc) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Gettext::Loc::DomainAndCategory) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Gettext::Named) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Maketext) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Maketext::Loc) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Maketext::Localise) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Expand::Maketext::Localize) = 1.027
      1 perl(Locale::TextDomain::OO::Plugin::Language::LanguageOfLanguages) = 1.014
      1 perl(Locale::TextDomain::OO::Role::Logger) = 1.027
      1 perl(Locale::TextDomain::OO::Singleton::Lexicon) = 1.026
      1 perl(Locale::TextDomain::OO::Singleton::Translator) = 1.010
      1 perl(Locale::TextDomain::OO::TiedInterface) = 1.014
      1 perl(Locale::TextDomain::OO::Translator) = 1.027
      1 perl-Locale-TextDomain-OO = 1.028-1.fc27
Binary provides are Ok.

$ resolvedeps f27-build ../RPMS/noarch/perl-Locale-TextDomain-OO-1.028-1.fc27.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F27 (https://koji.fedoraproject.org/koji/taskinfo?taskID=20610008). Ok.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items and consider fixing `TODO' items before building this package.
Resolution: Package APPROVED.
Comment 2 Gwyn Ciesla 2017-07-19 18:55:17 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Locale-TextDomain-OO
Comment 3 Jitka Plesnikova 2017-07-20 04:04:48 EDT
Spec was updated.

Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.